package com.hw.wms.mapper;

import java.util.List;
import com.hw.wms.domain.WmsStockTotal;

/**
 * 原材料库存Mapper接口
 *
 * @author xins
 * @date 2024-03-14
 */
public interface WmsStockTotalMapper
{
    /**
     * 查询原材料库存
     *
     * @param stockTotalId 原材料库存主键
     * @return 原材料库存
     */
    public WmsStockTotal selectWmsStockTotalByStockTotalId(Long stockTotalId);

    /**
     * 查询原材料库存列表
     *
     * @param wmsStockTotal 原材料库存
     * @return 原材料库存集合
     */
    public List<WmsStockTotal> selectWmsStockTotalList(WmsStockTotal wmsStockTotal);

    /**
     * 新增原材料库存
     *
     * @param wmsStockTotal 原材料库存
     * @return 结果
     */
    public int insertWmsStockTotal(WmsStockTotal wmsStockTotal);

    /**
     * 修改原材料库存
     *
     * @param wmsStockTotal 原材料库存
     * @return 结果
     */
    public int updateWmsStockTotal(WmsStockTotal wmsStockTotal);

    /**
     * 删除原材料库存
     *
     * @param stockTotalId 原材料库存主键
     * @return 结果
     */
    public int deleteWmsStockTotalByStockTotalId(Long stockTotalId);

    /**
     * 批量删除原材料库存
     *
     * @param stockTotalIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWmsStockTotalByStockTotalIds(Long[] stockTotalIds);






    /**
     * 查询总库存列表
     *
     * @param wmsStockTotal 总库存
     * @return 总库存集合
     */
    public List<WmsStockTotal> selectWmsStockTotalJoinList(WmsStockTotal wmsStockTotal);

}
